<?php
  try{
    $db = new SQLite3("/var/wwwdata/testphp.db", SQLITE3_OPEN_READWRITE);
  }
  catch(Exception $e){
    echo "Wystąpił błąd podczas otwierania połączenia z bazą...<br>";
    echo "Komunikat błędu: ";
    echo $e->getMessage();
    echo "</body></html>";
    exit;
  }

  $query = "INSERT INTO osoba VALUES(";
  $query .= "11, 'Maciej', 'Nowak', 1982, 'Lublin'";
  $query .= ")";

  if(!$result = $db->exec($query)){
    echo 'Wystąpił błąd: nieprawidłowe zapytanie...';
  }
  else{
    $ile = $db->changes();
    echo "Liczba dodanych rekordów: $ile";
  }

  unset($db);
?>
